org.bouncycastle.pqc.crypto.mlkem

## Class MLKEMPublicKeyParameters

- java.lang.Object
- - org.bouncycastle.crypto.params.AsymmetricKeyParameter
  - - org.bouncycastle.pqc.crypto.mlkem.MLKEMKeyParameters
    - - org.bouncycastle.pqc.crypto.mlkem.MLKEMPublicKeyParameters

- All Implemented Interfaces:
    CipherParameters

  Deprecated.
  use org.bouncycastle.crypto.params.MLKEMKeyPublicKeyParameters

      @Deprecated
      public class MLKEMPublicKeyParameters
      extends MLKEMKeyParameters

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MLKEMPublicKeyParameters(MLKEMParameters params, byte[] encoding)` Deprecated.
    `MLKEMPublicKeyParameters(MLKEMParameters params, byte[] t, byte[] rho)` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte[]` | `getEncoded()` Deprecated.
    `byte[]` | `getRho()` Deprecated.
    `byte[]` | `getT()` Deprecated.

    - ### Methods inherited from class org.bouncycastle.pqc.crypto.mlkem.MLKEMKeyParameters

      `getParameters`

    - ### Methods inherited from class org.bouncycastle.crypto.params.AsymmetricKeyParameter

      `isPrivate`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MLKEMPublicKeyParameters

          public MLKEMPublicKeyParameters(MLKEMParameters params,
                                          byte[] t,
                                          byte[] rho)

      Deprecated.

    - #### MLKEMPublicKeyParameters

          public MLKEMPublicKeyParameters(MLKEMParameters params,
                                          byte[] encoding)

      Deprecated.

  - ### Method Detail

    - #### getEncoded

          public byte[] getEncoded()

      Deprecated.

    - #### getRho

          public byte[] getRho()

      Deprecated.

    - #### getT

          public byte[] getT()

      Deprecated.